Package org.apache.lucene.queries.payloads

## Enum SpanPayloadCheckQuery.PayloadType

- java.lang.Object
- - java.lang.Enum<SpanPayloadCheckQuery.PayloadType>
  - - org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.PayloadType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SpanPayloadCheckQuery.PayloadType>`
  Enclosing class:
    SpanPayloadCheckQuery

      public static enum SpanPayloadCheckQuery.PayloadType
      extends Enum<SpanPayloadCheckQuery.PayloadType>

  The payload type. This specifies the decoding of the ByteRef for the payload.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FLOAT` | FLOAT is a 4 byte payload decoded to a float(32bit).
    `INT` | INT is for a 4 byte payload that is a packed integer
    `STRING` | STRING is a UTF8 encoded string, decoded from the byte array

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpanPayloadCheckQuery.PayloadType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SpanPayloadCheckQuery.PayloadType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final SpanPayloadCheckQuery.PayloadType INT

      INT is for a 4 byte payload that is a packed integer

    - #### FLOAT

          public static final SpanPayloadCheckQuery.PayloadType FLOAT

      FLOAT is a 4 byte payload decoded to a float(32bit).

    - #### STRING

          public static final SpanPayloadCheckQuery.PayloadType STRING

      STRING is a UTF8 encoded string, decoded from the byte array

  - ### Method Detail

    - #### values

          public static SpanPayloadCheckQuery.PayloadType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpanPayloadCheckQuery.PayloadType c : SpanPayloadCheckQuery.PayloadType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpanPayloadCheckQuery.PayloadType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null